# class KURLPixmapProvider | Resolves pixmaps for URLs. More...
Definition | `#include <kurlpixmapprovider.h>`
Inherits | KPixmapProvider (kdecore) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual QPixmap pixmapFor ( const QString& url, int size = 0 )

## Detailed Description

Implementation of KPixmapProvider

Uses KMimeType::pixmapForURL() to resolve icons.

Instatiate this class and supply it to the desired class, e.g.

     KHistoryCombo *combo = new KHistoryCombo( this );
     combo->setPixmapProvider( new KURLPixmapProvider );
     [...]

QPixmap pixmapFor ( const QString& url, int size = 0 ) | ### pixmapFor

[virtual]

Returns a pixmap for `url` with size `size` Uses KMimeType::pixmapForURL()

Reimplemented from KPixmapProvider.

- Author: Carsten Pfeiffer <pfeiffer@kde.org>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.